# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}
use Ska::RDB qw(:all);
use POSIX qw(tmpnam);
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$test=2;

@db = read_rdb('test1.rdb');
$ok = (@db == 143);
print $ok ? "ok" : "not ok", " ", $test++, "\n";

if (defined $CfA_local) {
    $tmp = tmpnam();
    system("cp test1.rdb $tmp");
    merge_rdb("ra dec", "test2.rdb", $tmp);
    $ok = (length `diff $tmp test12.rdb` == 0);
    print $ok ? "ok" : "not ok", " ", $test++, "\n";
    unlink $tmp;
}

$data_a = { a => [1,'rare','joe',1], b=> [3.4e22,4,'hello']};
$data_b = [{a=>1,b=>'rare'}, {a=>2.34e22,b=>4}, {b=>3}];

write_rdb('write1.rdb', $data_a, qw(b a));
write_rdb('write2.rdb', $data_b);
 
$ok = (-e 'write1.rdb' and -e 'write2.rdb');
print $ok ? "ok" : "not ok", " ", $test++, "\n";

@db = read_rdb('test3.rdb');
write_rdb('write3.rdb', \@db);

# unlink qw(write1.rdb write2.rdb);
