# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Ska-Run.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 6;
use Ska::Message;
my ($status, @out);

BEGIN { use_ok('Ska::Run') };
use Ska::Run;

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

($status, @out) = run("ls -l");
# diag("status = '$status'\n") if defined $status;
ok((not defined $status && $#out >= 1), 'Basic command that should work');

($status, @out) = run("ls -l /does/not/exist");
ok((defined $status), 'Command with bad exit value');

($status, @out) = run('sleep 20',  timeout => 2 );
ok((defined $status), 'Command that times out');

($status, @out) = run('bad_command');
ok((defined $status), 'Bad command');

($status, @out) = run('ls -l');
ok((not defined $status), 'Quiet command');
